MindWrtParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MindWrtParserInternal::State Struct Reference

Internal: the state of a MindWrtParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::string | m_compressCorr
| the correspondance between int compressed and char : must be 15 character More...
int | m_numLinesByZone [3]
| the number of paragraph by zones ( main, header, footer ) More...
ZoneInfo | m_zones [3]
| the zones More...
std::multimap< std::string, MWAWEntry > | m_entryMap
| the zones map More...
ListProperties | m_listProperties
| the list properties More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
std::vector< Field > | m_headerFieldList
| the actual list id the header field list More...
std::vector< Field > | m_footerFieldList
| the footer field list More...

## Detailed Description

Internal: the state of a MindWrtParser.

## Constructor & Destructor Documentation

## ◆ State()

MindWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int MindWrtParserInternal::State::m_actPage

the actual page

## ◆ m_compressCorr

std::string MindWrtParserInternal::State::m_compressCorr

the correspondance between int compressed and char : must be 15 character

## ◆ m_entryMap

std::multimap<std::string, MWAWEntry> MindWrtParserInternal::State::m_entryMap

the zones map

## ◆ m_footerFieldList

std::vector<Field> MindWrtParserInternal::State::m_footerFieldList

the footer field list

## ◆ m_headerFieldList

std::vector<Field> MindWrtParserInternal::State::m_headerFieldList

the actual list id the header field list

## ◆ m_listProperties

ListProperties MindWrtParserInternal::State::m_listProperties

the list properties

## ◆ m_numLinesByZone

int MindWrtParserInternal::State::m_numLinesByZone[3]

the number of paragraph by zones ( main, header, footer )

## ◆ m_numPages

int MindWrtParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_zones

ZoneInfo MindWrtParserInternal::State::m_zones[3]

the zones

The documentation for this struct was generated from the following file:

- MindWrtParser.cxx